> For the complete documentation index, see [llms.txt](https://docs.ndax.in/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ndax.in/v3/private-socket-feed/overiew.md).

# Overiew

The private WebSocket feed provides real-time balance and price updates for streamlined processing.

### Important considerations <a href="#important-considerations" id="important-considerations"></a>

TCP connections, like the ones used by WebSockets, can experience various problems such as network instabilities, timeouts, and issues with internet service providers. These issues can occur at any time and it is important to have a mechanism in place to reconnect and resubscribe to the WebSocket in the event of a problem.

### Endpoints <a href="#endpoints" id="endpoints"></a>

* Production: wss\://ws.ndax.in
* Certification: wss\://ws.sandbox.ndax.in


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/private-socket-feed/overiew.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
